Skip to main content
POST
/
2025-09
/
products
/
{product_id}
/
base_price
curl --request POST \
  --url https://public-api.stora.co/2025-09/products/{product_id}/base_price \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "weekly": {
    "amount": 999
  },
  "monthly": {
    "amount": 3999
  }
}
'
{
  "product": {
    "id": "prod_2af1a177df617f3c",
    "accounting_code": "CUSTOM-PRODUCT-1",
    "category": {
      "id": "pcat_a434b3a5bc8102bc"
    },
    "charge_type": "recurring",
    "created_at": "2025-02-22T14:41:00Z",
    "description": "Custom product description",
    "name": "Recurring Product",
    "prices": [
      {
        "billing_period": "weekly",
        "price": {
          "amount": 999,
          "currency": "GBP",
          "formatted": "£9.99"
        },
        "stripe_price_id": "price_5ZRMiQmM3BfIzoTtNNQZpUnh"
      },
      {
        "billing_period": "monthly",
        "price": {
          "amount": 3999,
          "currency": "GBP",
          "formatted": "£39.99"
        },
        "stripe_price_id": "price_1OFEj4jqBxezmkUMuPhySwmO"
      }
    ],
    "site": {
      "id": "site_14b419f1096013f1"
    },
    "sku": null,
    "updated_at": "2025-02-22T14:41:00Z"
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

product_id
string
required

The ID of the product to set the base prices

Query Parameters

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

Body

application/json

Base prices available for recurring billing periods (Protection Levels, Unit Types, and Products).

monthly
object
weekly
object
every_four_weeks
object
every_three_months
object
every_six_months
object
yearly
object

Response

one_time product with created base prices

Single Product

product
object

Product

meta
object